glab(1)

NAME
glab-ci-lint - Check if your .gitlab-ci.yml file is valid.

SYNOPSIS
glab ci lint [flags]

DESCRIPTION
Defaults to the .gitlab-ci.yml file in the current directory. You can also pass a URL to validate a remote file. Use --dry-run to simulate pipeline creation, and --ref to set the branch or tag context for the simulation.

OPTIONS
--dry-run[=false]
    Run pipeline creation simulation.

--include-jobs[=false]
    Include the list of jobs that would exist in a static check or pipeline simulation.

--ref=""
    When '--dry-run' is true, sets the branch or tag context for validating the CI/CD YAML configuration.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Uses .gitlab-ci.yml in the current directory
    glab ci lint
    # Lint a specific file
    glab ci lint .gitlab-ci.yml
    glab ci lint path/to/.gitlab-ci.yml

SEE ALSO
glab-ci(1)